package ovh.herisson.Clyde.DTO.Msg;

import lombok.AllArgsConstructor;
import lombok.Data;
import ovh.herisson.Clyde.Tables.User;
import ovh.herisson.Clyde.Tables.Msg.Message;

@Data
@AllArgsConstructor
public class MessagesDTO {
	private long id;
	private String content; 
	private User author;
	private boolean sender;
	//TODO: Attachment

	public static MessagesDTO construct(Message m, User user){
		boolean sender = false;
		if(m.getAuthor().equals(user))
			sender = true;
		return new MessagesDTO(m.getId(), m.getContent(), m.getAuthor(), sender);
	}
}
